dcraw(1)

NOME
dcraw - Convertitore per foto digitali grezze (RAW) a linea di comando

SOMMARIO
dcraw [OPZIONE]... [FILE]...

DESCRIZIONE
dcraw decodifica foto grezze, mostra i metadati ed estrae le miniature.

OPZIONI GENERALI

-v  Stampa messaggi di testo, non solo avvertimenti ed errori.

-c  Scrive sullo standard output le immagini decodificate o le miniature.

-e  Estrae la miniatura generata dalla fotocamera, non l'immagine grezza. Può essere un file JPEG o PPM, dipende dalla fotocamera.

-z  Cambia ora e data di accesso del file AVI, JPEG, TIFF o raw con l'ora e la data dello scatto, assumendo che la fotocamera sia stata sincronizzata sull'Universal Time.

-i  Identifica i files ma non li decodifica. Lo stato di uscita è 0 se dcraw riesce a decodificare l'ultimo file, 1 se non ci riesce. -i -v mostra i metadati.

    dcraw non decodifica i files JPEG!!

OPZIONI PER IL RECUPERO

-P pixelsmorti.txt
    Legge l'elenco dei pixels morti da questo file anzichè da ".badpixels". Vedi FILES per la descrizione del formato.

-K fotogrammanero.pgm
    Sottrae un fotogramma nero ai dati grezzi. Per generare un fotogramma nero scattare una foto grezza senza luce e lanciare dcraw -D -4 -j -t 0.

-k nero
    Quando le ombre appaiono velate, occorre alzare il livello del nero. Per misurarlo, applicare pamsumm -mean al fotogramma nero generato prima.

-S saturazione
    Quando le alte luci appaiono rosa, occorre abbassare il livello di saturazione. Per misurarlo, scattare una foto a qualcosa di molto chiaro e lanciare dcraw -D -4 -j -c foto.raw | pamsumm -max

    I valori di default per il nero e la saturazione in genere sono corretti.

-n soglia_di_rumore
    Usa le wavelets per cancellare il rumore preservando i dettagli. La soglia migliore dovrebbe rientrare nell'intervallo 100 - 1000.

-C mag_rosso mag_blu
    Allarga i livelli grezzi rosso e blu dei fattori indicati, tipicamente da 0.999 a 1.001, per correggere l'aberrazione cromatica.

-H 0
    Le alte luci vengono clippate e rese come bianco puro (default).

-H 1
    Le alte luci non vengono clippate e vengono rese in varie sfumature di rosa.

-H 2
    Miscela i valori clippati con quelli non clippati in modo da ottenere una sfumatura graduale verso il bianco.

-H 3+
    Le alte luci vengono recuperate. Con un valore basso risultano desaturate; con un valore alto vengono ricostruiti i colori. Provare -H 5 come compromesso. Se non risulta soddisfacente, usare -H 9, copiare le alte luci non bianche ed incollarle nell'immagine ottenuta con -H 3.

OPZIONI COLORE
Di default, dcraw utilizza un bilanciamento del bianco fisso, basato su di una tabella di colori illuminanta da una lampada standard D65.

-w  Utilizza il bilanciamento del bianco specificato dalla fotocamera. Se non trovato, viene stampato un messaggio di avvertimento e usato un altro metodo.

-a  Calcola il bilanciamento del bianco dalla media dell'intera immagine.

-A sinistra alto larghezza altezza
    Calcola il bilanciamento del bianco dalla media di un'area rettangolare. Utilizzare dcraw -j -t 0 e selezionare un'area di colore grigio neutro.

-r mol0 mol1 mol2 mol3
    Specifica il tuo bilanciamento del bianco in modalità grezza. Questi coefficienti moltiplicativi possono essere tagliati e incollati dall'uscita di dcraw -v.

+M o -M
    Utilizza (o non utilizza) l'eventuale matrice colore presente nei metadati della fotocamera. Di default è +M se è impostato -w, altrimenti -M. Quest'opzione ha effetto solo sulle fotocamere Olympus, Leaf, e Phase One.

-o [0-6]
    Seleziona lo spazio di colore in uscita, quando l'opzione -p non è usata: 0 Colori grezzi (caratteristici di ogni fotocamera)
    1 sRGB D65 (default)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p fotocamera.icm [ -o output.icm ]
    Usa i profili ICC per definire lo spazio colore grezzo della fotocamera e lo spazio colore in uscita (sRGB di default).

-p embed
    Usa il profilo ICC incorporato nella foto grezza.

OPZIONI DI INTERPOLAZIONE

-d  Mostra i dati grezzi in scala di grigio senza interpolazione. Adatto per la fotografia in bianco e nero di documenti.

-D  Come -d, ma in modo completamente grezzo (senza riscalamento dei colori).

-h  Restituisce l'immagine a colori con dimensioni dimezzate. Due volte più veloce di -q 0.

-q 0
    Interpolazione bilineare, veloce e a bassa qualità.

-q 1
    Interpolazione a numero variabile di gradienti (VNG).

-q 2
    Interpolazione a raggruppamento di trame di pixels (PPG).

-q 3
    Interpolazione adattativa orientata all'omogeneità (AHD).

-f  Interpolazione RGB a quattro colori. Usarla se l'output mostra falsi retini 2x2 con la VNG o labirinti con l'AHD.

-m numero_di_passi
    Dopo l'interpolazione, rimuove gli artefatti di colore applicando iterativamente un filtro mediano 3x3 ai canali R-G e B-G.

OPZIONI DI OUTPUT
Di default, dcraw scrive in formato PGM/PPM/PAM a 8-bit, con una curva gamma di BT.709, un livello del bianco basato sugli istogrammi, e senza metadati.

-W  Utilizza un livello del bianco fisso, ignorando gli istogrammi dell'immagine

-b luminosità
    Divide il livello del bianco per questo numero, di default 1.0.

-g esponente pendenza_piede
    Imposta la curva gamma, di default BT.709 (-g 2.222 4.5). Se preferisci il gamma di sRGB, usa -g 2.4 12.92. Per una semplice curva di potenza, imposta la pendenza del piede della curva a zero.

-6  Scrive sedici bit per campione invece di otto.

-4  16-bit lineari, come -6 -W -g 1 1.

-T  Scrive in TIFF con metadati anzichè in PGM/PPM/PAM.

-t [0-7,90,180,270]
    Ruota l'immagine. dcraw di default applica la rotazione specificata dalla fotocamera. -t 0 disabilita tutte le rotazioni.

-j  Per fotocamere con sensore Fuji Super CCD: l'immagine risulta ruotata di 45 gradi. Per fotocamere che hanno pixel non quadrati, l'immagine non viene ricampionata per correggere il fattore di forma. In ogni caso questa opzione garantisce che ogni pixel di uscita corrisponda ad un pixel dell'immagine grezza.

-s [0..N-1] o -s all
    Se un file contiene N immagini grezze, ne sceglie una o "all" (tutte) per la decodifica. Per esempio le reflex dotate di Fuji Super CCD SR generano una seconda immagine sottoesposta di quattro stops per mostrare i dettagli nelle alte luci.

FILES

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Lista dei pixel difettosi della fotocamera, grazie a cui dcraw può interpolare attorno ad essi. Ogni linea del file specifica la colonna, la riga, e la data di morte (in formato UNIX) di un pixel. Esempio:

     962   91 1028350000  # morto fra l'1 e il 4 Agosto 2002
    1285 1067 0           # non si conosce la data di morte di questo pixel

    Queste coordinate si riferiscono all'immagine prima che sia ritagliata o ruotata, per cui usare dcraw -j -t 0 per localizzare i pixel difettosi.

VEDI ANCHE
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTORE
Scritto da David Coffin, dcoffin a cybercom o net

TRADUZIONE
Alberto Maccaferri, alberto o maccaferri a photoactivity o com